<?php
/* Mantenimiento de los registros de la tabla TR_Ruta redefinidos por el usaurio */
class TR_RutaDP extends BaseTR_RutaDP
{
    public function generaRutaId()
    {
        $s_Prefijo = TR_RutaBN::TIPO_RUTA_PREFIJO;
        $o_utilGenerateId = new utilGenerateId();
        $o_utilGenerateId->setIdCompania( myUser::getUser()->getIdBusiness() );
        $o_utilGenerateId->setTipoCorrelativo( "TR" );
        $o_utilGenerateId->setSerie( $s_Prefijo );
        $i_IdGenerado = $o_utilGenerateId->generateId();
        $s_NumDoc = $s_Prefijo."-".str_pad( $i_IdGenerado, 7, "0", STR_PAD_LEFT );
        $this->setIdRuta( $i_IdGenerado );
        $this->setRutaDocumento( $s_NumDoc );
    }
}